Subject: bug#21741: 24.5; default printer page size can not be changed

From: Emilio Sovero <[email-masked]>
Date: Fri, 23 Oct 2015 17:29:18 +0000 (GMT)

The 
/PrintPageWidth 498.6141732283465 def
Dimensions are in points.

I will dig into the Postscript code this week.
The problem for me is that at work we have a Large shared printer server that if the job asks for a paper size it does not have (A4), the only option the printer offers me is to load the missing paper size (which is not practical). There is not way (that I know) to override it and print on a letter sized paper.
At home I have two printers HP2605dn that has a similar message but allows me override the paper size, and a Brother MFC7860DW that prints without problem 

Thanks for the help. I hope I am not causing too much distraction for you.
Emilio

On Oct 23, 2015, at 10:05 AM, Glenn Morris <[email-masked]> wrote:

Emilio Sovero wrote:

But if you read the test.ps file the margins are set for the A4 paper
size. See the fragment below.

%%EndResource

/LandscapeMode false def
/UpsideDown false def
/NumberOfColumns 1 def
/LandscapePageHeight 792.0 def
/PrintPageWidth 498.6141732283465 def
/PrintWidth 498.6141732283465 def
/PrintHeight 643.7029732283465 def

Which bit of this is supposed to be A4?